| Cantera 3.0.0

Loading...
Searching...
No Matches
Macros | Functions
fmt.h File Reference

Wrapper for either system-installed or local headers for fmt. More...

`#include "ct_defs.h"`
`#include "cantera/ext/fmt/format.h"`
`#include "cantera/ext/fmt/printf.h"`
`#include "cantera/ext/fmt/ostream.h"`
Include dependency graph for fmt.h:

## Detailed Description

Wrapper for either system-installed or local headers for fmt.

Definition in file fmt.h.

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | FMT_NO_FMT_STRING_ALIAS
| Do not use the fmt macro from fmtlib because it shadows a function of the same name in kinetics/Group.h.

## Functions
template<typename... Args>
void | fmt_append (fmt::memory_buffer &b, Args... args)
| Versions 6.2.0 and 6.2.1 of fmtlib do not include this define before they include windows.h, breaking builds on Windows.

## Macro Definition Documentation

## ◆ FMT_NO_FMT_STRING_ALIAS

#define FMT_NO_FMT_STRING_ALIAS

Do not use the fmt macro from fmtlib because it shadows a function of the same name in kinetics/Group.h.

Definition at line 8 of file fmt.h.

## Function Documentation

## ◆ fmt_append()

template<typename... Args>

void fmt_append | ( | fmt::memory_buffer & | b,
|  | Args... | args
| ) |  |

Versions 6.2.0 and 6.2.1 of fmtlib do not include this define before they include windows.h, breaking builds on Windows.

Fixed in fmtlib 7.0.0 and newer. https://github.com/fmtlib/fmt/pull/1616

Definition at line 29 of file fmt.h.